Page MenuHomePhabricator

Namespace options should have already selected ones unclickable
Closed, ResolvedPublic3 Story Points

Description

As a user
I want to only be able to select options in a drop-down that would make a change to my search
so that I don't get confused as to what will be searched and what won't

Acceptance criteria

  • The namespaces dropdown has all terms disabled and grayed out that have already been selected

Event Timeline

Lea_WMDE created this task.Aug 9 2017, 11:11 AM
Restricted Application added a project: TCB-Team. · View Herald TranscriptAug 9 2017, 11:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE renamed this task from Namespace options should not contain already selected ones to Namespace options should have already selected ones unclickable.Aug 9 2017, 12:25 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.

Change 382703 had a related patch set uploaded (by Kai Nissen (WMDE); owner: Kai Nissen (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Disable menu items when adding tags

https://gerrit.wikimedia.org/r/382703

kai.nissen removed kai.nissen as the assignee of this task.Oct 6 2017, 1:55 PM
kai.nissen added a subscriber: kai.nissen.

Change 382703 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Disable menu items when adding tags

https://gerrit.wikimedia.org/r/382703

Deployed to test wiki

Looks great, thanks!

kai.nissen closed this task as Resolved.Nov 2 2017, 1:51 PM
kai.nissen claimed this task.